| time-1.1.2.1: time library | Source code | Contents | Index

Data.Time.Calendar.Easter

Synopsis

sundayAfter :: Day -> Day
orthodoxPaschalMoon :: Integer -> Day
orthodoxEaster :: Integer -> Day
gregorianPaschalMoon :: Integer -> Day
gregorianEaster :: Integer -> Day

Documentation

sundayAfter :: Day -> Day | Source

The next Sunday strictly after a given day.

orthodoxPaschalMoon :: Integer -> Day | Source

Given a year, find the Paschal full moon according to Orthodox Christian tradition

orthodoxEaster :: Integer -> Day | Source

Given a year, find Easter according to Orthodox Christian tradition

gregorianPaschalMoon :: Integer -> Day | Source

Given a year, find the Paschal full moon according to the Gregorian method

gregorianEaster :: Integer -> Day | Source

Given a year, find Easter according to the Gregorian method
Produced by Haddock version 0.9